Creates a Sezzle virtual card session. A card session represents the issuance of a Sezzle virtual card to a Sezzle user and/or the agreement of a Sezzle user to use the virtual card as payment. Use the card session endpoints to create and update a card session.
The mode for the order checkout. Defaults to redirect if not provided. If iframe or popup is provided, then the cancel and complete URLs must include the origin of the parent window.
The checkout or cart ID from the merchant, currently used for tracking only (must contain only alphanumeric characters, dashes (-), and underscores (_))
The category path where the product is located. Use > only as the category delimiter, not as part of a product or category name. Example: Camping Gear & Supplies > Tents & Shelters.
The dashboard_url is a URL which the customer should be redirected to. Upon accepting the agreements there will be a postMessage returned for the payload of the card data.
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Sezzle","colors":{"primary":"#8512e0","light":"#9e05f7","dark":"#382854"},"logo":{"light":"https://mintcdn.com/sezzle/01t5INarB6euKvP6/images/Sezzle_Logo_FullColor.svg?fit=max\u0026auto=format\u0026n=01t5INarB6euKvP6\u0026q=85\u0026s=5fc8a5aa9010b739b2874aa847929f68","dark":"https://mintcdn.com/sezzle/01t5INarB6euKvP6/images/Sezzle_Logo_FullColor_WhiteWM.svg?fit=max\u0026auto=format\u0026n=01t5INarB6euKvP6\u0026q=85\u0026s=29ba90f838043d564e396099c010812c","href":"https://docs.sezzle.com/docs/guides/sezzle/introduction"},"favicon":"https://mintcdn.com/sezzle/hKhvshWly4M3cXTJ/favicon.ico?fit=max\u0026auto=format\u0026n=hKhvshWly4M3cXTJ\u0026q=85\u0026s=11d74ec64895c6ac02eaafb1e22814c7","api":{"params":{"expanded":"all"}},"appearance":{"default":"light","strict":true},"navbar":{"links":[{"href":"https://dashboard.sezzle.com/merchant/signup","label":"Sign Up"}],"primary":{"type":"button","label":"Log In","href":"https://dashboard.sezzle.com/merchant/login"}},"footer":{"socials":{"facebook":"https://www.facebook.com/sezzle","instagram":"https://www.instagram.com/sezzle","x":"https://twitter.com/sezzleinc","linkedin":"https://www.linkedin.com/company/sezzle"}},"styling":{"eyebrows":"section","codeblocks":"system","latex":true},"contextual":{"options":["copy","assistant","chatgpt","claude","view"],"display":"header"},"navigation":{"languages":[{"language":"en","href":"docs/guides/sezzle/introduction"},{"language":"fr","href":"fr/docs/guides/sezzle/introduction"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"sezzle","hasAudioNarration":false,"actualSubdomain":"sezzle","customDomains":["docs.sezzle.com"],"gitSource":{"type":"github","owner":"sezzle","repo":"merchant-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae39ce445ccb1c33da633ef","collectionId":"dbdec690-e832-4223-9978-e7c908a47d88","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae39ce445ccb1c33da633ef"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae39ce445ccb1c33da633ef","clientVersion":"0.0.4067","searchFilterCounts":[{"language":"en","tag":"API Docs","count":51},{"language":"fr","tag":"Documentation API","count":51},{"language":"en","tag":"API Reference","count":33},{"language":"fr","tag":"Référence API","count":33},{"language":"en","tag":"Core API","count":28},{"language":"fr","tag":"API Core","count":28},{"language":"en","tag":"Guides","count":22},{"language":"fr","tag":"Guides","count":21},{"language":"en","tag":"Platforms","count":19},{"language":"fr","tag":"Plateformes","count":19},{"language":"en","tag":"Orders","count":11},{"language":"en","tag":"v1 (deprecated)","count":11},{"language":"en","tag":"Other Platforms","count":11},{"language":"fr","tag":"Commandes","count":11},{"language":"fr","tag":"v1 (obsolète)","count":11},{"language":"fr","tag":"Autres Plateformes","count":11},{"language":"en","tag":"Webhooks","count":7},{"language":"en","tag":"Tokenization","count":7},{"language":"fr","tag":"Webhooks","count":7},{"language":"fr","tag":"Tokenisation","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"docs/api/core/sessions/virtual/postv2sessioncard","slug":"/docs/api/core/sessions/virtual/postv2sessioncard","pageMetadata":{"title":"Create a card session","id":"card-session-post","openapi":"post /v2/session/card","description":"Creates a Sezzle virtual card session. A card session represents the issuance of a Sezzle virtual card to a Sezzle user and/or the agreement of a Sezzle user to use the virtual card as payment. Use the card session endpoints to create and update a card session.","href":"/docs/api/core/sessions/virtual/postv2sessioncard"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates a Sezzle virtual card session. A card session represents the issuance of a Sezzle virtual card to a Sezzle user and/or the agreement of a Sezzle user to use the virtual card as payment. Use the card session endpoints to create and update a card session.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={p:`p`,..._provideComponents(),...props.components},{Warning}=_components;if(!Warning)_missingMdxReference(`Warning`,true);return _jsx(Warning,{children:_jsx(_components.p,{children:`This endpoint should be used with our virtual card offering. It is not intended for the direct integration flow.`})})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Create a card session","id":"card-session-post","openapi":"post /v2/session/card","description":"Creates a Sezzle virtual card session. A card session represents the issuance of a Sezzle virtual card to a Sezzle user and/or the agreement of a Sezzle user to use the virtual card as payment. Use the card session endpoints to create and update a card session.","href":"/docs/api/core/sessions/virtual/postv2sessioncard"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/sezzle/6c8e4f8d07136df6/widget-bundle.js","/_mintlify/custom/sezzle/cb5e9435d501a8cd/agent-tools.js"],"openApiReferenceData":{"operation":{"operationId":"HandleNewCardSessionV2","description":"Creates a Sezzle virtual card session. A card session represents the issuance of a Sezzle virtual card to a Sezzle user and/or the agreement of a Sezzle user to use the virtual card as payment. Use the card session endpoints to create and update a card session.","summary":"Create card session","tags":["Virtual"],"requestBody":"9f9c8dda-a7f5-4a76-b7c8-a72b8d2caa8b","responses":{"201":"b3b4afe1-6147-49ee-bad1-c9e7d0b2e6d3","400":"65124431-9c0c-40ad-9cd9-393afa3b8dd6","401":"7a7486c4-5526-4fa7-916f-07aee07d3fc8","404":"60751e6f-540d-47d1-8b0e-aa114d226f5c","422":"7854663d-f6a3-4acd-acde-bf413e2953bd"},"method":"post","type":"path","servers":["5b5596f5-c4d9-41c0-89f5-e86da59547cd","e3dace99-9f2f-4e98-85f7-7372b28712ce"],"security":["849dbee1-17b4-439f-a57a-a2d119b8e432"],"path":"/v2/session/card","baseUrlOptions":["https://sandbox.gateway.sezzle.com","https://gateway.sezzle.com"],"title":"Create card session","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["origin","mode","merchant_reference_id","amount_in_cents","currency"],"properties":{"amount_in_cents":{"type":"integer","description":"The amount in cents","isRequired":true,"uniqueKey":"amount_in_cents","typeLabel":"integer"},"currency":{"type":"string","description":"The 3 character currency code as defined by ISO 4217","isRequired":true,"uniqueKey":"currency","typeLabel":"string"},"origin":{"type":"string","description":"The window origin of the host","isRequired":true,"uniqueKey":"origin","typeLabel":"string"},"mode":{"type":"string","description":"The mode for the order checkout. Defaults to redirect if not provided. If iframe or popup is provided, then the cancel and complete URLs must include the origin of the parent window.","enum":["iframe","popup","redirect"],"isRequired":true,"uniqueKey":"mode","typeLabel":"enum\u003cstring>"},"merchant_reference_id":{"type":"string","description":"The checkout or cart ID from the merchant, currently used for tracking only (must contain only alphanumeric characters, dashes (-), and underscores (_))","isRequired":true,"uniqueKey":"merchant_reference_id","typeLabel":"string"},"card_response_format":{"type":"string","description":"Value of token required to use tokenization","uniqueKey":"card_response_format","typeLabel":"string"},"items":{"type":"array","items":{"type":"object","description":"Merchants who are in the Sports \u0026 Hobbies or Hunting \u0026 Fishing categories must define a category_path for each item in the order. Please talk with your account manager for further details.","properties":{"name":{"type":"string","description":"The name of the item","uniqueKey":"\\items.items.[INDEX].name","typeLabel":"string"},"sku":{"type":"string","description":"The sku identifier","uniqueKey":"\\items.items.[INDEX].sku","typeLabel":"string"},"quantity":{"type":"integer","description":"The quantity purchased","uniqueKey":"\\items.items.[INDEX].quantity","typeLabel":"integer"},"price":{"type":"object","description":"The price of the product before tax and discounts","required":["amount_in_cents","currency"],"properties":{"amount_in_cents":{"type":"integer","description":"The amount in cents","isRequired":true,"uniqueKey":"\\items.items.[INDEX].price.amount_in_cents","typeLabel":"integer"},"currency":{"type":"string","description":"The 3 character currency code as defined by ISO 4217","isRequired":true,"uniqueKey":"\\items.items.[INDEX].price.currency","typeLabel":"string"}},"uniqueKey":"\\items.items.[INDEX].price","typeLabel":"object"},"category_path":{"type":"string","description":"The category path where the product is located. Use `>` only as the category delimiter, not as part of a product or category name. Example: Camping Gear \u0026 Supplies > Tents \u0026 Shelters.","uniqueKey":"\\items.items.[INDEX].category_path","typeLabel":"string"},"brand":{"type":"string","description":"The products brand name as customers would recognize. Examples: Nike, Kelty, Brooks, Carhartt, Columbia","uniqueKey":"\\items.items.[INDEX].brand","typeLabel":"string"},"image_url":{"type":"string","description":"The fully qualified URL that shows the image","uniqueKey":"\\items.items.[INDEX].image_url","typeLabel":"string"},"product_url":{"type":"string","description":"The fully qualified URL that links directly to the product being purchased","uniqueKey":"\\items.items.[INDEX].product_url","typeLabel":"string"},"global_trade_item_number":{"type":"string","description":"The products Global Trade Item Number (GTIN). Common types include UPC, ISBN, EAN. Exclude dashes and spaces.","uniqueKey":"\\items.items.[INDEX].global_trade_item_number","typeLabel":"string"},"manufacturer_part_number":{"type":"string","description":"The products Manufacturer Part Number (MPN) which together with brand can uniquely identify a product.","uniqueKey":"\\items.items.[INDEX].manufacturer_part_number","typeLabel":"string"}},"uniqueKey":"\\items.items.[INDEX]","typeLabel":"object"},"uniqueKey":"\\items","typeLabel":"object[]"},"customer":{"type":"object","description":"The customer for this session","properties":{"first_name":{"type":"string","description":"The customer's first name","uniqueKey":"customer.first_name","typeLabel":"string"},"last_name":{"type":"string","description":"The customer's last name","uniqueKey":"customer.last_name","typeLabel":"string"},"email":{"type":"string","description":"The customer's email address","uniqueKey":"customer.email","typeLabel":"string"},"phone":{"type":"string","description":"The customer's phone number","uniqueKey":"customer.phone","typeLabel":"string"},"billing_address":{"type":"object","description":"The customer's billing address","properties":{"name":{"type":"string","description":"The name on the address","uniqueKey":"customer.billing_address.name","typeLabel":"string"},"street":{"type":"string","description":"The street and number of the address","uniqueKey":"customer.billing_address.street","typeLabel":"string"},"street2":{"type":"string","description":"The apt or unit","uniqueKey":"customer.billing_address.street2","typeLabel":"string"},"city":{"type":"string","description":"The city","uniqueKey":"customer.billing_address.city","typeLabel":"string"},"state":{"type":"string","description":"The 2 character state code","uniqueKey":"customer.billing_address.state","typeLabel":"string"},"postal_code":{"type":"string","description":"The postal delivery code","uniqueKey":"customer.billing_address.postal_code","typeLabel":"string"},"country_code":{"type":"string","description":"The 2 character country code","uniqueKey":"customer.billing_address.country_code","typeLabel":"string"},"phone":{"type":"string","description":"The phone number at the delivery location","uniqueKey":"customer.billing_address.phone","typeLabel":"string"}},"uniqueKey":"customer.billing_address","typeLabel":"object"}},"uniqueKey":"customer","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"example":{"origin":"https://example.com","mode":"iframe","merchant_reference_id":"merchant-cart-id-max-255","amount_in_cents":1000,"currency":"USD","card_response_format":"token","customer":{"email":"john.doe@example.com","first_name":"John","last_name":"Doe","phone":"6125551234","billing_address":{"street":"123 W Lake St","street2":"Unit 104","city":"Minneapolis","state":"MN","postal_code":"55408","country_code":"US"}},"items":[{"name":"Blue tee","sku":"sku123456","quantity":1,"price":{"amount_in_cents":1000,"currency":"USD"}}]},"examples":{"Example":{"title":"Example","value":{"origin":"https://example.com","mode":"iframe","merchant_reference_id":"merchant-cart-id-max-255","amount_in_cents":1000,"currency":"USD","card_response_format":"token","customer":{"email":"john.doe@example.com","first_name":"John","last_name":"Doe","phone":"6125551234","billing_address":{"street":"123 W Lake St","street2":"Unit 104","city":"Minneapolis","state":"MN","postal_code":"55408","country_code":"US"}},"items":[{"name":"Blue tee","sku":"sku123456","quantity":1,"price":{"amount_in_cents":1000,"currency":"USD"}}]}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"b3b4afe1-6147-49ee-bad1-c9e7d0b2e6d3":{"description":"Successful Operation","content":{"application/json":{"schema":{"type":"object","properties":{"uuid":{"type":"string","description":"The unique identifier for this session","uniqueKey":"uuid","typeLabel":"string"},"dashboard_url":{"type":"string","description":"The dashboard_url is a URL which the customer should be redirected to. Upon accepting the agreements there will be a postMessage returned for the payload of the card data.","uniqueKey":"dashboard_url","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"uuid":"fadbc642-05a4-4e38-9e74-80e325623af9","dashboard_url":"https://dashboard.sezzle.com/example?id=0001"},"examples":{"Example":{"title":"Example","value":{"uuid":"fadbc642-05a4-4e38-9e74-80e325623af9","dashboard_url":"https://dashboard.sezzle.com/example?id=0001"}}},"exampleType":"examples"}},"exampleType":"examples"},"65124431-9c0c-40ad-9cd9-393afa3b8dd6":{"description":"Invalid request","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"The general error type","uniqueKey":"items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","description":"A more specific error message, if available","uniqueKey":"items.[INDEX].message","typeLabel":"string"},"location":{"type":"string","description":"Where the error occurred","uniqueKey":"items.[INDEX].location","typeLabel":"string"},"debug_uuid":{"type":"string","description":"The unique identifier assigned to this error for troubleshooting","uniqueKey":"items.[INDEX].debug_uuid","typeLabel":"string"}},"uniqueKey":"items.[INDEX]","typeLabel":"object"},"uniqueKey":"","typeLabel":"object[]"},"example":[{"code":"bad_request","message":"bad request"}],"examples":{"Example":{"title":"Example","value":[{"code":"bad_request","message":"bad request"}]}},"exampleType":"examples"}},"example":{"code":"bad_request","message":"bad request"},"exampleType":"examples"},"7a7486c4-5526-4fa7-916f-07aee07d3fc8":{"description":"Unauthorized. Returned for any failed bearer or basic auth, including expired bearer tokens.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"The general error type","uniqueKey":"items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","description":"A more specific error message, if available","uniqueKey":"items.[INDEX].message","typeLabel":"string"},"location":{"type":"string","description":"Where the error occurred","uniqueKey":"items.[INDEX].location","typeLabel":"string"},"debug_uuid":{"type":"string","description":"The unique identifier assigned to this error for troubleshooting","uniqueKey":"items.[INDEX].debug_uuid","typeLabel":"string"}},"uniqueKey":"items.[INDEX]","typeLabel":"object"},"uniqueKey":"","typeLabel":"object[]"},"example":[{"code":"unauthorized","message":"authorization not accepted"}],"examples":{"Example":{"title":"Example","value":[{"code":"unauthorized","message":"authorization not accepted"}]}},"exampleType":"examples"}},"example":{"code":"unauthorized","message":"authorization not accepted"},"exampleType":"examples"},"60751e6f-540d-47d1-8b0e-aa114d226f5c":{"description":"The specified resource was not found","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"The general error type","uniqueKey":"items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","description":"A more specific error message, if available","uniqueKey":"items.[INDEX].message","typeLabel":"string"},"location":{"type":"string","description":"Where the error occurred","uniqueKey":"items.[INDEX].location","typeLabel":"string"},"debug_uuid":{"type":"string","description":"The unique identifier assigned to this error for troubleshooting","uniqueKey":"items.[INDEX].debug_uuid","typeLabel":"string"}},"uniqueKey":"items.[INDEX]","typeLabel":"object"},"uniqueKey":"","typeLabel":"object[]"},"example":[{"code":"record_not_found","message":"not found"}],"examples":{"Example":{"title":"Example","value":[{"code":"record_not_found","message":"not found"}]}},"exampleType":"examples"}},"example":{"code":"record_not_found","message":"not found"},"exampleType":"examples"},"7854663d-f6a3-4acd-acde-bf413e2953bd":{"description":"Unable to process the request entity","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"The general error type","uniqueKey":"items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","description":"A more specific error message, if available","uniqueKey":"items.[INDEX].message","typeLabel":"string"},"location":{"type":"string","description":"Where the error occurred","uniqueKey":"items.[INDEX].location","typeLabel":"string"},"debug_uuid":{"type":"string","description":"The unique identifier assigned to this error for troubleshooting","uniqueKey":"items.[INDEX].debug_uuid","typeLabel":"string"}},"uniqueKey":"items.[INDEX]","typeLabel":"object"},"uniqueKey":"","typeLabel":"object[]"},"example":[{"code":"invalid","message":"Unprocessable entity"}],"examples":{"Example":{"title":"Example","value":[{"code":"invalid","message":"Unprocessable entity"}]}},"exampleType":"examples"}},"example":{"code":"invalid","message":"UnprocessableV2 entity"},"exampleType":"examples"}},"security":{"849dbee1-17b4-439f-a57a-a2d119b8e432":{"Bearer":{"type":"apiKey","name":"Authorization","in":"header","description":"The authentication token generated from providing API Keys to Sezzle Gateway","scopes":[],"schemeName":"Bearer"}}},"servers":{"5b5596f5-c4d9-41c0-89f5-e86da59547cd":{"url":"https://sandbox.gateway.sezzle.com","description":"development server, usa, ca"},"e3dace99-9f2f-4e98-85f7-7372b28712ce":{"url":"https://gateway.sezzle.com","description":"production server, usa, ca"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","name":"Authorization","in":"header","description":"The authentication token generated from providing API Keys to Sezzle Gateway","scopes":[],"schemeName":"Bearer"},"schema":{"title":"Authorization","type":"string","description":"The authentication token generated from providing API Keys to Sezzle Gateway","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"Bearer","name":"Authorization"}],"title":"Bearer"}]},"originalFileLocation":"openapi.yaml"},"subdomain":"sezzle","siteName":"Sezzle","title":"Create a card session - Sezzle","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/docs/api/core/sessions/virtual/postv2sessioncard","matchLevel":0},"fr":{"href":"/fr/docs/api/core/sessions/virtual/postv2sessioncard","matchLevel":1}}},"lastModified":"2025-12-16T20:21:28.740Z","originalFileLocation":"docs/api/core/sessions/virtual/postv2sessioncard.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"light\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates a Sezzle virtual card session. A card session represents the issuance of a Sezzle virtual card to a Sezzle user and/or the agreement of a Sezzle user to use the virtual card as payment. Use the card session endpoints to create and update a card session.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Sezzle\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/sezzle/awTX-WnCCeJfnpqG/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/sezzle/awTX-WnCCeJfnpqG/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/sezzle/awTX-WnCCeJfnpqG/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/sezzle/awTX-WnCCeJfnpqG/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/sezzle/awTX-WnCCeJfnpqG/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/sezzle/awTX-WnCCeJfnpqG/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/sezzle/awTX-WnCCeJfnpqG/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/sezzle/awTX-WnCCeJfnpqG/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/sezzle/awTX-WnCCeJfnpqG/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a card session - Sezzle\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates a Sezzle virtual card session. A card session represents the issuance of a Sezzle virtual card to a Sezzle user and/or the agreement of a Sezzle user to use the virtual card as payment. Use the card session endpoints to create and update a card session.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Sezzle\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.sezzle.com/docs/api/core/sessions/virtual/postv2sessioncard\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://sezzle.mintlify.app/_mintlify/api/og/v2?division=Virtual\u0026amp;title=Create+a+card+session\u0026amp;description=Creates+a+Sezzle+virtual+card+session.+A+card+session+represents+the+issuance+of+a+Sezzle+virtual+card+to+a+Sezzle+user+and%2For+the+agreement+of+a+Sezzle+user+to\u0026amp;theme=96f49580f47ce62ac4ab6238\u0026amp;signature=7bc463939d15574e13e94c6975fff2c30747f02d15c54eaff24129714825b12c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a card session - Sezzle\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates a Sezzle virtual card session. A card session represents the issuance of a Sezzle virtual card to a Sezzle user and/or the agreement of a Sezzle user to use the virtual card as payment. Use the card session endpoints to create and update a card session.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://sezzle.mintlify.app/_mintlify/api/og/v2?division=Virtual\u0026amp;title=Create+a+card+session\u0026amp;description=Creates+a+Sezzle+virtual+card+session.+A+card+session+represents+the+issuance+of+a+Sezzle+virtual+card+to+a+Sezzle+user+and%2For+the+agreement+of+a+Sezzle+user+to\u0026amp;theme=96f49580f47ce62ac4ab6238\u0026amp;signature=7bc463939d15574e13e94c6975fff2c30747f02d15c54eaff24129714825b12c\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/sezzle/awTX-WnCCeJfnpqG/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Sezzle\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#8512e0\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.sezzle.com/docs/api/core/sessions/virtual/postv2sessioncard\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api/core/sessions/virtual/postv2sessioncard.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://docs.sezzle.com/docs/api/core/sessions/virtual/postv2sessioncard\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"fr\" href=\"https://docs.sezzle.com/fr/docs/api/core/sessions/virtual/postv2sessioncard\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://docs.sezzle.com/docs/api/core/sessions/virtual/postv2sessioncard\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.sezzle.com/#organization\",\"name\":\"Sezzle\",\"url\":\"https://docs.sezzle.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/sezzle/01t5INarB6euKvP6/images/Sezzle_Logo_FullColor.svg?fit=max\u0026auto=format\u0026n=01t5INarB6euKvP6\u0026q=85\u0026s=5fc8a5aa9010b739b2874aa847929f68\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.sezzle.com#website\",\"name\":\"Sezzle\",\"url\":\"https://docs.sezzle.com\",\"publisher\":{\"@id\":\"https://docs.sezzle.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.sezzle.com/docs/api/core/sessions/virtual/postv2sessioncard#webpage\",\"url\":\"https://docs.sezzle.com/docs/api/core/sessions/virtual/postv2sessioncard\",\"name\":\"Create a card session\",\"description\":\"Creates a Sezzle virtual card session. A card session represents the issuance of a Sezzle virtual card to a Sezzle user and/or the agreement of a Sezzle user to use the virtual card as payment. Use the card session endpoints to create and update a card session.\",\"dateModified\":\"2025-12-16T20:21:28.740Z\",\"isPartOf\":{\"@id\":\"https://docs.sezzle.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.sezzle.com/docs/api/core/sessions/virtual/postv2sessioncard#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.sezzle.com/docs/api/core/sessions/virtual/postv2sessioncard#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.sezzle.com/docs/api/intro\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Core API\",\"item\":\"https://docs.sezzle.com/docs/api/core/authentication/postauthentication\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Sessions\",\"item\":\"https://docs.sezzle.com/docs/api/core/sessions/postv2session\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Create a card session\",\"item\":\"https://docs.sezzle.com/docs/api/core/sessions/virtual/postv2sessioncard\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.sezzle.com/docs/api/core/sessions/virtual/postv2sessioncard#apireference\",\"headline\":\"Create a card session\",\"name\":\"Create a card session\",\"description\":\"Creates a Sezzle virtual card session. A card session represents the issuance of a Sezzle virtual card to a Sezzle user and/or the agreement of a Sezzle user to use the virtual card as payment. Use the card session endpoints to create and update a card session.\",\"url\":\"https://docs.sezzle.com/docs/api/core/sessions/virtual/postv2sessioncard\",\"mainEntityOfPage\":{\"@id\":\"https://docs.sezzle.com/docs/api/core/sessions/virtual/postv2sessioncard#webpage\"},\"dateModified\":\"2025-12-16T20:21:28.740Z\",\"publisher\":{\"@id\":\"https://docs.sezzle.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.sezzle.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Sezzle\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Sezzle","nav":{"global":null,"languages":[{"language":"en","anchors":[{"anchor":"Guides","icon":"book","pages":[{"title":"Guides","href":"/docs/guides/sezzle/introduction"}]},{"anchor":"API Docs","icon":"code","groups":[{"group":"API Reference","pages":[{"title":"Introduction","href":"/docs/api/intro"},{"title":"Sandbox Testing","href":"/docs/api/environments"},{"title":"Test Data","href":"/docs/api/test-cards"},{"title":"Postman Setup","href":"/docs/api/postman-setup"},{"title":"Errors","href":"/docs/api/errors"},{"group":"Core API","pages":[{"group":"Authentication","pages":[{"title":"Get a bearer authentication token","openapi":"post /v2/authentication","href":"/docs/api/core/authentication/postauthentication"}]},{"group":"Sessions","pages":[{"group":"Direct Integration","pages":[{"title":"Create a session","openapi":"post /v2/session","href":"/docs/api/core/sessions/postv2session"},{"title":"Get session status","openapi":"get /v2/session/{session_uuid}","description":"Get session details.\nThe blocks returned mirror what the session was created with: an order session returns order, and a standalone tokenization session returns tokenize with its approval_url and no order block.\n","href":"/docs/api/core/sessions/getv2session"}]},{"group":"Virtual","pages":[{"title":"Create a card session","openapi":"post /v2/session/card","href":"/docs/api/core/sessions/virtual/postv2sessioncard"},{"title":"Get card data by token","openapi":"get /v2/session/card/token/{token}","description":"You can use this endpoint to request card data with the checkout card token. The card token is temporary and only available for a limited time. This endpoint is only needed when a card session is created with a card response format of token.","href":"/docs/api/core/sessions/virtual/carddatabytoken"},{"title":"Update a card session","openapi":"patch /v2/session/{session_id}/card","href":"/docs/api/core/sessions/virtual/setorderid"}]}]},{"group":"Orders","pages":[{"title":"Payment Flow","href":"/docs/api/core/orders/index"},{"title":"Get order details","openapi":"get /v2/order/{order_uuid}","href":"/docs/api/core/orders/getv2order"},{"title":"Capture amount by order","openapi":"post /v2/order/{order_uuid}/capture","href":"/docs/api/core/orders/postv2capturebyorder"},{"title":"Update order","openapi":"patch /v2/order/{order_uuid}","href":"/docs/api/core/orders/patchv2checkout"},{"title":"Refund amount by order","openapi":"post /v2/order/{order_uuid}/refund","href":"/docs/api/core/orders/postv2refundbyorder"},{"title":"Release amount by order","openapi":"post /v2/order/{order_uuid}/release","href":"/docs/api/core/orders/postv2releasebyorder"},{"title":"Reauthorize amount by order","openapi":"post /v2/order/{order_uuid}/reauthorize","href":"/docs/api/core/orders/postv2reauthorizebyorder"},{"title":"Upcharge amount by order","openapi":"post /v2/order/{order_uuid}/upcharge","href":"/docs/api/core/orders/postv2upchargebyorder"},{"title":"Update checkout by order","openapi":"patch /v2/order/{order_uuid}/checkout","href":"/docs/api/core/orders/patchv2updatecheckoutbyorder"},{"title":"Delete checkout by order","openapi":"delete /v2/order/{order_uuid}/checkout","href":"/docs/api/core/orders/deletev2deletecheckoutbyorder"}]},{"group":"Webhooks","pages":[{"title":"Create webhooks","openapi":"post /v2/webhooks","href":"/docs/api/core/webhooks/postv2webhooks"},{"title":"List webhooks","openapi":"get /v2/webhooks","href":"/docs/api/core/webhooks/getv2webhooks"},{"title":"Get webhook","openapi":"get /v2/webhooks/{webhooks_uuid}","href":"/docs/api/core/webhooks/getv2webhook"},{"title":"Update webhook","openapi":"patch /v2/webhooks/{webhooks_uuid}","href":"/docs/api/core/webhooks/patchv2webhooks"},{"title":"Trigger a test webhook","openapi":"post /v2/webhooks/test","href":"/docs/api/core/webhooks/postv2webhooktest"},{"title":"Delete webhooks","openapi":"delete /v2/webhooks/{webhooks_uuid}","href":"/docs/api/core/webhooks/deletev2webhooks"},{"title":"Webhook Signature, Acceptance and Retries","href":"/docs/api/core/webhooks/infov2webhooks"}]},{"group":"Reporting","pages":[{"group":"Orders","pages":[{"title":"Get order reports","openapi":"get /v2/orders/report","href":"/docs/api/core/orderreports/getv2orderreports"}]},{"group":"Interest","pages":[{"title":"Get interest account activity","openapi":"get /v2/interest/activity","href":"/docs/api/core/interest/getv2activity"},{"title":"Get interest account balance","openapi":"get /v2/interest/balance","href":"/docs/api/core/interest/getv2balance"}]},{"group":"Settlements","pages":[{"title":"Get summary","openapi":"get /v2/settlements/summaries","href":"/docs/api/core/settlements/getv2summary"},{"title":"Get details","openapi":"get /v2/settlements/details/{payout_uuid}","href":"/docs/api/core/settlements/getv2summarydetail"}]}]}]}]},{"group":"Tokenization","pages":[{"title":"Introduction","href":"/docs/api/tokenization/intro"},{"group":"Customers","pages":[{"title":"Get a list of customers","openapi":"get /v2/customer","href":"/docs/api/tokenization/customers/getv2customerlist"},{"title":"Get a customer","openapi":"get /v2/customer/{customer_uuid}","href":"/docs/api/tokenization/customers/getv2customer"},{"title":"Preapprove amount by customer","openapi":"post /v2/customer/{customer_uuid}/preapprove","href":"/docs/api/tokenization/customers/preapprovev2token"},{"title":"Create order by customer","openapi":"post /v2/customer/{customer_uuid}/order","href":"/docs/api/tokenization/customers/postv2customerorder"},{"title":"Delete a customer","openapi":"delete /v2/customer/{customer_uuid}","href":"/docs/api/tokenization/customers/deletev2token"}]},{"group":"Session","pages":[{"title":"Get session tokenization","openapi":"get /v2/token/{token}/session","href":"/docs/api/tokenization/session/getv2sessiontoken"}]}]},{"group":"v1 (deprecated)","pages":[{"title":"v1 Overview","href":"/docs/api/v1/v1"},{"title":"Obtain Authentication Token","openapi":"post /v1/authentication","href":"/docs/api/v1/obtain-authentication-token"},{"title":"Setting Your Configuration","openapi":"post /v1/configuration","href":"/docs/api/v1/setting-your-configuration"},{"title":"Create a Checkout","openapi":"post /v1/checkouts","href":"/docs/api/v1/create-a-checkout"},{"title":"Orders","openapi":"get /v1/orders/{order_reference_id}","href":"/docs/api/v1/orders"},{"title":"Complete a Checkout","openapi":"post /v1/checkouts/{order_reference_id}/complete","href":"/docs/api/v1/complete-a-checkout"},{"title":"Refund Request","openapi":"post /v1/orders/{order_reference_id}/refund","href":"/docs/api/v1/refund-request"},{"title":"Interest Account Balance Request","openapi":"get /v1/interest/balance","href":"/docs/api/v1/interest-account-reports/interest-account-balance-request"},{"title":"Interest Account Activity Request","openapi":"get /v1/interest/activity","href":"/docs/api/v1/interest-account-reports/interest-account-activity-request"},{"title":"Settlement Summaries Request","openapi":"get /v1/settlements/summaries","href":"/docs/api/v1/settlement-reports/settlement-summaries-request"},{"title":"Settlement Details Request","openapi":"get /v1/settlements/details/{payout_uuid}","href":"/docs/api/v1/settlement-reports/settlement-details-request"}]}]},{"anchor":"Platforms","icon":"layer-group","pages":[{"title":"Platforms","href":"/docs/plugins/before-you-begin"}]}]},{"language":"fr","pages":[{"title":"fr","href":"/fr/docs/api/core/sessions/virtual/postv2sessioncard"}]}]},"basePath":"","title":"Create a card session - Sezzle","buildId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","deploymentId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-DX1Meug0.js","utils-B_OMIQVC.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-ChxhRPMa.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CuKvD8Iv.js","snippetPresets-C5d7p2hp.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","Page-BAvA99GL.js","ApiExamples-CfHcE8m4.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C1zZV314.js","shallow-CmQhqCJn.js","getApiPlaygroundDisplay-YRo9s1O7.js","CodeSnippet-RN1MTdfk.js","CodeSnippets-DKLPHxJA.js","getPastedJson-bz0M41mU.js","icon-CsmhpPrv.js","MethodPill-CNGsVE77.js","DuplicateIcon-DilfU_Z2.js","createIcon-BdsYzQck.js","DynamicMarkdown-CbqEDjbV.js","SectionHeading-O6hXpFCN.js","axios-vUo_bRtp.js","Markdown-nKm-uidQ.js","clsx-ClVdStUn.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CIQkMg3R.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-ImrFS4Fy.js"]}